使用 CometAPI GET /mj/task//fetch 快速且可靠地获取单个 Midjourney 任务状态,用于监控和结果轮询。
curl --request GET \
--url https://api.cometapi.com/mj/task/{id}/fetch \
--header 'Authorization: Bearer <token>'{
"id": "1773314942177684",
"status": "SUCCESS",
"progress": "100%",
"imageUrl": "https://api.cometapi.com/mj/image/1773314942177684",
"videoUrl": "",
"buttons": [
{
"customId": "MJ::JOB::upsample::1::example",
"emoji": "",
"label": "U1",
"type": 2,
"style": 1
}
]
}status 查看任务整体状态progress 查看当前完成进度信号imageUrl 或 videoUrlbuttons 获取下一步可用的 customId 值SUCCESS、MODAL 或 FAILUREbuttons 数组视为后续操作的权威数据来源imageUrlSUCCESS、progress: 100%、一个 imageUrl,以及 9 个操作按钮。Bearer token authentication. Use your CometAPI key.
Midjourney task id.
Current task state.
Show child attributes
Show child attributes
curl --request GET \
--url https://api.cometapi.com/mj/task/{id}/fetch \
--header 'Authorization: Bearer <token>'{
"id": "1773314942177684",
"status": "SUCCESS",
"progress": "100%",
"imageUrl": "https://api.cometapi.com/mj/image/1773314942177684",
"videoUrl": "",
"buttons": [
{
"customId": "MJ::JOB::upsample::1::example",
"emoji": "",
"label": "U1",
"type": 2,
"style": 1
}
]
}